/****************************************************************************************

		IWorkingPlanesControl.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.
		

		Author:	Brice
		Date:	08/04/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		08/04/99	Brice		Creation

*****************************************************************************************/

#ifndef __IWORKINGPLANES_H__
#define __IWORKINGPLANES_H__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "COMTypes.h"

//************************* Globally Unique Ids ******************************

MCDEFINE_GUID(IID_IWorkingPlanesControl, 0x273fc924, 0x4a73, 0x11d3, 0xb9, 0x72, 0x0, 0xa0, 0xc9, 0xd6, 0x65, 0x53);

//****************************************************************************

struct I3DEditorHostPart;
struct IMFResponder;
struct IChangeListener;


// Plane indexes are defines in IWorkingBox.h
/// \addtogroup ExternalInterface
/// \{
/// 
/// Working planes selector control.  Used to display (and pick) active working planes.
struct IWorkingPlanesControl: public IMCUnknown
{
	virtual void	MCCOMAPI	SetEditorHostPart		(I3DEditorHostPart* host)=0;
	virtual void	MCCOMAPI	UpdateControls			(boolean invalidate)=0;
};

/// \}
#endif // IWORKINGPLANES